#ifndef ASSERT_H
#define ASSERT_H

#include <stdio.h>
#include <stdlib.h>

#define ASSERT_NN(var)							\
	if ( var == NULL ) {						\
		fprintf(stderr,						\
			"[ERROR] GOT null no var: "#var" in func: %s\n", \
			__func__);					\
		exit(EXIT_FAILURE);					\
	}

#endif
